package net.wanji.utc.hisense.netty.response.impl.get;

import net.wanji.utc.hisense.netty.TcpClient;
import net.wanji.utc.hisense.netty.pojo.CommandPojo;
import net.wanji.utc.hisense.netty.request.CommandRequestFactory;
import net.wanji.utc.hisense.netty.response.CommandResponseFactory;
import net.wanji.utc.hisense.pojo.xml.pojo.messagecontent.get.GetSchemeNoRequest;
import org.springframework.stereotype.Service;

/**
 * @author duanruiming
 * @date 2024/11/02 19:51
 * @description 获取海信当前运行方案号，对应【协调状态】
 */
@Service
public class GetSchemeNoService implements CommandResponseFactory, CommandRequestFactory {

    @Override
    public void sendCommandRequest(Object msg) {
        GetSchemeNoRequest request = new GetSchemeNoRequest();
        GetSchemeNoRequest.Content content = new GetSchemeNoRequest.Content();
        content.setSpot(String.valueOf(msg));
        request.setMessageContent(content);
        TcpClient.sendMessage(request);
    }

    @Override
    public Object getCommandResponse(CommandPojo commandPojo) {
        System.err.println("==============收到消息成功" + commandPojo.getMsg());
        return commandPojo.getMsg();
    }

}